Out of memory crash

This topic contains 14 replies, has 6 voices, and was last updated by  support-swapna 6 months ago.

Viewing 15 posts - 1 through 15 (of 15 total)
  • Author
    Posts
  • #607970 Reply

    Richard
    Participant

    Hi

    I have reported this before – for the original Angular IDE. Sadly it still seems to be happening in the CodeMix version.

    I have attached the terminal content.

    As you will see each time I compile the app the chunk size grows exponentially, even if none of the code is changed. Eventually it reaches the limit for the javascript heap and crashes.

    Last time I reported it you replied that you were aware of it?!

    It’s a shame because in most other ways the new version is a great improvement.

    Cheers

    Richard

    Attachments:
    You must be logged in to view attached files.
    #607998 Reply

    support-tony
    Keymaster

    Richard,

    Unfortunately, we haven’t been able to fix this yet but I’ve raised the priority on the problem to help get this fixed in the near future.

    I’m sorry for the problems you’re experiencing, and your having to keep restarting the server during development.

    #608062 Reply

    Brian Fernandes
    Moderator

    Richard,

    Just wanted to add that we figured out what was going wrong, and have a fix that is currently being tested. We’ll let you know when it’s available – it should not be more than a couple of days out.

    Thanks!

    #608068 Reply

    Richard
    Participant

    Great news – thanks Brian

    #608171 Reply

    Salvador Cabrera
    Participant

    Hi Richard,

    We have released a new version of the angular-ide npm package that fixes the problem.

    To get this fix, please create a new Terminal+ tab for your project and run:
    npm install -D angular-ide.

    Please let us know how it goes.

    Best Regards,
    Sal

    #608198 Reply

    Richard
    Participant

    Hi Sal

    This ran OK but I get a compile error as below.

    Cheers

    Richard

    Node.js version: v9.4.0
    NPM version: 5.6.0
    /Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/angular-ide/bin/ng serve –port=4200 –live-reload=true –webclipse-launch-id=5811681858260686843
    ** Angular Live Development Server is listening on localhost:4200, open your browser on http://localhost:4200/ **

    Date: 2019-02-06T02:55:34.316Z
    Hash: 8dbc1ea8a455e8480f0b
    Time: 14220ms
    chunk {main} main.js, main.js.map (main) 1.88 kB [initial] [rendered]
    chunk {polyfills} polyfills.js, polyfills.js.map (polyfills) 92.4 kB [initial] [rendered]
    chunk {runtime} runtime.js, runtime.js.map (runtime) 6.08 kB [entry] [rendered]
    chunk {styles} styles.js, styles.js.map (styles) 891 kB [initial] [rendered]
    chunk {vendor} vendor.js, vendor.js.map (vendor) 327 kB [initial] [rendered]

    ERROR in : TypeError: Cannot read property ‘escapedText’ of undefined
    at node.members.find.node (/Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/angular-ide/lib/CLUtils.js:330:48)
    at Array.find (native)
    at /Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/angular-ide/lib/CLUtils.js:328:43
    at Array.forEach (<anonymous>)
    at standardTransform (/Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/angular-ide/lib/CLUtils.js:302:12)
    at transformer (/Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/@ngtools/webpack/src/transformers/make_transform.js:21:25)
    at /Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/typescript/lib/typescript.js:1390:86
    at reduceLeft (/Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/typescript/lib/typescript.js:1102:30)
    at /Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/typescript/lib/typescript.js:1390:42
    at transformRoot (/Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/typescript/lib/typescript.js:81142:82)
    at Object.map (/Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/typescript/lib/typescript.js:429:29)
    at Object.transformNodes (/Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/typescript/lib/typescript.js:81129:30)
    at emitJsFileOrBundle (/Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/typescript/lib/typescript.js:81485:32)
    at emitSourceFileOrBundle (/Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/typescript/lib/typescript.js:81453:13)
    at forEachEmittedFile (/Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/typescript/lib/typescript.js:81361:30)
    at Object.emitFiles (/Users/richardhirstle/eclipse-workspace/Pendulum/node_modules/typescript/lib/typescript.js:81442:9)

    ℹ 「wdm」: Failed to compile.

    #608343 Reply

    Richard
    Participant

    Hi

    Any news on this?

    Cheers

    Richard

    #608345 Reply

    timwebb
    Keymaster

    Apologies that the team hasn’t synced back on this — it is either available under @next or already released. Tomorrow the team can confirm which but I am happy to say the fix has already been implemented. If just updating the angular-ide module does not work, please update to angular-ide@next and you should be good.

    Cheers and someone from the team will update more tomorrow.

    Tim

    #608346 Reply

    Richard
    Participant

    No worries – thanks Tim

    #608409 Reply

    Salvador Cabrera
    Participant

    Hi Richard,

    Sorry you’re seeing this problem.

    We have published a new version of angular-ide module that should fix the problem that you’re seeing.
    Please update to the latest version by running npm install -D angular-ide on a Terminal+ tab for you project.

    Let me know how it goes.

    Best Regards,
    Sal.

    #608521 Reply

    Richard
    Participant

    Hi Sal

    That got it – thank you.

    One other thing – not vital but thought I’d mention it.

    I get an exclamation point next to the CodeMix link (bottom left of window). If I click on it I get a message warning me my license expires in -53 days (as in minus 53 days).

    Cheers

    Richard

    #608522 Reply

    Brian Fernandes
    Moderator

    Richard,

    Glad it’s working, and sorry for the inconvenience caused by the earlier version, we’re happy to have gotten this bug correctly fixed in the end.

    We’re aware of the negative days warning, quite silly, no doubt. This has been fixed already and you won’t see this in the next release, due this week.

    Appreciate you support.

    #608991 Reply

    support-swapna
    Moderator

    Richard,

    Our latest release, CodeMix 3.0 is out.
    Please update and let us know if you see any problems.

    –Swapna
    Genuitec Support

    #609088 Reply

    Richard
    Participant

    Hi Swapna

    The update auto loaded a few days day or so ago.

    Looks good so far. It has solved the memory leak and a few other issues I was going to ask about so a big improvement.

    Cheers

    Richard

    #609172 Reply

    support-swapna
    Moderator

    Richard,

    Glad that the update looks good. Thank you for getting back to us.
    Please let us know if you see any other issues with CodeMix.

    –Swapna
    Genuitec Support

Viewing 15 posts - 1 through 15 (of 15 total)
Reply To: Out of memory crash

This topic is marked as closed to new replies, however your posting capabilities still allow you to do so.

You must be logged in to post in the forum log in